Retrieve a list of fills
Returns a list of fills for the authenticated user
x-api-key<token>
In: header
Query Parameters
limit?integer
Range
0 < value <= 2000Default
20cursor?string
connector?string
orderBy?|
Default
"-timestamp"Header Parameters
X-Trade-Account-Id*string
UUID of the trade account the request acts on. Must belong to the authenticated user.
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/fills" \ -H "X-Trade-Account-Id: 3fa85f64-5717-4562-b3fc-2c963f66afa6"{ "limit": 0, "nextCursor": "string", "fills": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "cloid": "string", "exchangeFillId": "string", "status": "PROVISIONAL", "tradeAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "symbol": "BTC", "positionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "connector": "hyperliquid", "side": "BUY", "reduceOnly": true, "isExternal": true, "synthetic": true, "quantity": "string", "price": "string", "usd": "string", "tradeFee": "string", "pearFee": "string", "timestamp": "string", "original": { "exchangeFillId": "string", "quantity": "string" } } ]}